# riscv::asm - Rust
Assembly instructions
Keywords: rust, rustlang, rust-lang, asm

# Module riscv::asm

source · [−]
Expand description

Assembly instructions

## Functions

ebreak ⚠

`EBREAK` instruction wrapper

hfence_gvma ⚠
hfence_vvma ⚠
hlv_b ⚠
hlv_bu ⚠
hlv_d ⚠
hlv_h ⚠
hlv_hu ⚠
hlv_w ⚠
hlv_wu ⚠
hlvx_hu ⚠
hlvx_wu ⚠
hsv_b ⚠
hsv_d ⚠
hsv_h ⚠
hsv_w ⚠
sfence_vma ⚠

`SFENCE.VMA` instruction wrapper

sfence_vma_all ⚠

`SFENCE.VMA` instruction wrapper (all address spaces and page table levels)

wfi ⚠

`WFI` instruction wrapper